rgb2ycrcb: XRgb2YCrCb Struct Reference

| rgb2ycrcb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XRgb2YCrCb Struct Reference
Rgb2ycrcb_v7_1

The XRgb2YCrCb driver instance data structure. More...

## Data Fields
XRgb2YCrCb_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Core and driver instance are initialized. More...
u16 | HSize
| Active Video Horizontal Size. More...
u16 | VSize
| Active Video Vertical Size. More...
XRgb2YCrCb_CallBack | ProcStartCallBack
| Callback for Processing Start interrupt. More...
void * | ProcStartRef
| To be passed to Process start interrupt callback. More...
XRgb2YCrCb_CallBack | FrameDoneCallBack
| Callback for Frame Done interrupt. More...
void * | FrameDoneRef
| To be passed to the Frame done interrupt callback. More...
XRgb2YCrCb_ErrorCallBack | ErrCallBack
| Callback for Error interrupt. More...
void * | ErrRef
| To be passed to the Error interrupt callback. More...
u32 | StandardSelection
| Standard Selection. More...
u32 | OutputRange
| Output Range. More...

## Detailed Description

The XRgb2YCrCb driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

XRgb2YCrCb_Config XRgb2YCrCb::Config

Hardware configuration.

Referenced by XRgb2YCrCb_CfgInitialize(), XRgb2YCrCb_DisableDbgBypass(), XRgb2YCrCb_DisableDbgTestPattern(), XRgb2YCrCb_EnableDbgByPass(), XRgb2YCrCb_EnableDbgTestPattern(), XRgb2YCrCb_GetActiveSize(), XRgb2YCrCb_GetCbMax(), XRgb2YCrCb_GetCbMin(), XRgb2YCrCb_GetCbOffset(), XRgb2YCrCb_GetCoefs(), XRgb2YCrCb_GetCrMax(), XRgb2YCrCb_GetCrMin(), XRgb2YCrCb_GetCrOffset(), XRgb2YCrCb_GetDbgFrameCount(), XRgb2YCrCb_GetDbgLineCount(), XRgb2YCrCb_GetDbgPixelCount(), XRgb2YCrCb_GetVersion(), XRgb2YCrCb_GetYMax(), XRgb2YCrCb_GetYMin(), XRgb2YCrCb_GetYOffset(), XRgb2YCrCb_IntrHandler(), XRgb2YCrCb_IsDbgByPassEnabled(), XRgb2YCrCb_IsDbgTestPatternEnabled(), XRgb2YCrCb_SelfTest(), XRgb2YCrCb_SetActiveSize(), XRgb2YCrCb_SetCbMax(), XRgb2YCrCb_SetCbMin(), XRgb2YCrCb_SetCbOffset(), XRgb2YCrCb_SetCoefs(), XRgb2YCrCb_SetCrMax(), XRgb2YCrCb_SetCrMin(), XRgb2YCrCb_SetCrOffset(), XRgb2YCrCb_Setup(), XRgb2YCrCb_SetYMax(), XRgb2YCrCb_SetYMin(), and XRgb2YCrCb_SetYOffset().

XRgb2YCrCb_ErrorCallBack XRgb2YCrCb::ErrCallBack

Callback for Error interrupt.

Referenced by XRgb2YCrCb_CfgInitialize(), XRgb2YCrCb_IntrHandler(), and XRgb2YCrCb_SetCallBack().

void* XRgb2YCrCb::ErrRef

To be passed to the Error interrupt callback.

Referenced by XRgb2YCrCb_IntrHandler(), and XRgb2YCrCb_SetCallBack().

XRgb2YCrCb_CallBack XRgb2YCrCb::FrameDoneCallBack

Callback for Frame Done interrupt.

Referenced by XRgb2YCrCb_CfgInitialize(), XRgb2YCrCb_IntrHandler(), and XRgb2YCrCb_SetCallBack().

void* XRgb2YCrCb::FrameDoneRef

To be passed to the Frame done interrupt callback.

Referenced by XRgb2YCrCb_IntrHandler(), and XRgb2YCrCb_SetCallBack().

u16 XRgb2YCrCb::HSize

Active Video Horizontal Size.

Referenced by XRgb2YCrCb_Setup().

u32 XRgb2YCrCb::IsReady

Core and driver instance are initialized.

Referenced by XRgb2YCrCb_CfgInitialize(), XRgb2YCrCb_IntrHandler(), and XRgb2YCrCb_SetCallBack().

u32 XRgb2YCrCb::OutputRange

Output Range.

XRgb2YCrCb_CallBack XRgb2YCrCb::ProcStartCallBack

Callback for Processing Start interrupt.

Referenced by XRgb2YCrCb_CfgInitialize(), XRgb2YCrCb_IntrHandler(), and XRgb2YCrCb_SetCallBack().

void* XRgb2YCrCb::ProcStartRef

To be passed to Process start interrupt callback.

Referenced by XRgb2YCrCb_IntrHandler(), and XRgb2YCrCb_SetCallBack().

u32 XRgb2YCrCb::StandardSelection

Standard Selection.

u16 XRgb2YCrCb::VSize

Active Video Vertical Size.

Referenced by XRgb2YCrCb_Setup().